/* Automatically generated nanopb header */
/* Generated by nanopb-0.4.0-dev at Sun Oct 28 02:06:41 2018. */

#ifndef PB_GOOGLE_PROTOBUF_ANY_PB_H_INCLUDED
#define PB_GOOGLE_PROTOBUF_ANY_PB_H_INCLUDED
#include <pb.h>

/* @@protoc_insertion_point(includes) */
#if PB_PROTO_HEADER_VERSION != 30
#error Regenerate this file with the current version of nanopb generator.
#endif

#ifdef __cplusplus
extern "C" {
#endif

/* Struct definitions */
typedef struct _google_protobuf_Any {
    pb_callback_t type_url;
    pb_callback_t value;
/* @@protoc_insertion_point(struct:google_protobuf_Any) */
} google_protobuf_Any;

/* Default values for struct fields */

/* Initializer values for message structs */
#define google_protobuf_Any_init_default         {{{NULL}, NULL}, {{NULL}, NULL}}
#define google_protobuf_Any_init_zero            {{{NULL}, NULL}, {{NULL}, NULL}}

/* Field tags (for use in manual encoding/decoding) */
#define google_protobuf_Any_type_url_tag         1
#define google_protobuf_Any_value_tag            2

/* Struct field encoding specification for nanopb */
extern const pb_field_t google_protobuf_Any_fields[3];

/* Maximum encoded size of messages (where known) */
/* google_protobuf_Any_size depends on runtime parameters */

/* Message IDs (where set with "msgid" option) */
#ifdef PB_MSGID

#define ANY_MESSAGES \


#endif

#ifdef __cplusplus
} /* extern "C" */
#endif
/* @@protoc_insertion_point(eof) */

#endif
